#ifndef OPEN_ACCOUNT_A_H_
#define OPEN_ACCOUNT_A_H_

// Author: Steve Talbot

#pragma once

using namespace std;

#include "MDA_EFSM.h"
#include "Data.h"
#include "AccountInfo.h"

class open_account_a {

public:
	open_account_a();
	virtual ~open_account_a();

	bool virtual open_account( int p_, int y_, int a_, Data* data_, MDA_EFSM* M_ ) = 0;

};

#endif /*OPEN_ACCOUNT_A_H_*/
